Downgrading from 1.8.8+ to 1.7.6

Joined
Oct 23, 2016
Messages
204
Reaction score
44
Age
49
I have found out that 1.7.6 F/W was not Regulated to FCC standards in that Firmware..??
So Transmit power was more than 20db...
1f642.png
:)
So there are a two ways I have seen to do this..
First is the "LiNK" button method..
You put the firmware on the card.. Press and hold the link button on the A/C until "beeps" and it will begin the downgrade..
The second is the Debug method.. You put a file named P3X_FW_DEBUG (pro) on the card with the next version down on the card and it will also downgrade..
But I already have an issue.. My firmware says 1.8.8+ which means I already have mismatched firmware on the A/C..
As described in the links I can upgrade till the "+" goes away.. and retry..

But can I just reflash with the same 1.8.8 via link button or Debug file??
I am looking for anyone that has done either of these methods
Thank you in advance.. I just want Best advice.. I understand the necessity of using "ONLY" next F/W versions.. Never Jump a version.. Up or Down!!
Phantom 3 Adv firmware downgrade 1.8 to 1.7 - SUCCESS
http://www.phantompilots.com/…/people-that-want-to-d…/page-8
forcing fw downgrade with P3X_FW_DEBUG · Issue #4 · mefistotelis/phantom-firmware-tools · GitHub
 
Last edited:
Joined
Oct 23, 2016
Messages
204
Reaction score
44
Age
49
Rather than risking a brick, just get a windsurfer and you'll get even better range...
Ya but I don't see a "Brick" issue.. Did you? I read that 1.7.6+ does not give me the correct R/C version.. So it does not work for what I want.. I just want to get rid of the plus...
 
Last edited:

Oso

Premium Pilot
Joined
May 19, 2015
Messages
4,804
Reaction score
3,862
Location
Western US
But can I just reflash with the same 1.8.1 via link button or Debug file??
Why do you think the "+" is a problem?
Also, 1.8.1 doesn't seem valid for the Pro/Adv. Are you in the correct forum?
 
  • Like
Reactions: KennethMcNutt
Joined
Oct 23, 2016
Messages
204
Reaction score
44
Age
49
Why do you think the "+" is a problem?
Also, 1.8.1 doesn't seem valid for the Pro/Adv. Are you in the correct forum?
I am sorry.. I have a P3S so F/w numbers are confusing.. 1.8.8+ is my pro I will fix..
 
Joined
Jan 27, 2017
Messages
97
Reaction score
27
Age
38
Rather than risking a brick, just get a windsurfer and you'll get even better range...
The problem with this is they are very directional. If you aren't pointed directly at the bird, you get worse signal than if you didn't have them. I tested this and can be 3 feet away and if I turn to the side 45 degrees, I get "no signal"

Not a problem if you have good line of sight, and keep turning your rc accordingly

P3A with Nvidia Shield K1 tablet
 
  • Like
Reactions: KennethMcNutt
Joined
Oct 23, 2016
Messages
204
Reaction score
44
Age
49
I use them...
But expect that it will do more to My P3P than a windsurfer...
This is my P3S ;)
 
Joined
Jan 21, 2017
Messages
1,204
Reaction score
238
Age
55
The '+' in the firmware version is probably the firmware on the battery that didn't downgrade, esp if you downgraded with battery A, was satisfied and then installed battery B which still has the newer firmware.

Sent from my HTC 10 using PhantomPilots mobile app
 
Joined
Oct 23, 2016
Messages
204
Reaction score
44
Age
49
The '+' in the firmware version is probably the firmware on the battery that didn't downgrade, esp if you downgraded with battery A, was satisfied and then installed battery B which still has the newer firmware.

Sent from my HTC 10 using PhantomPilots mobile app
The + happened after 1.9 downgrade.. I did it Normal.. No debug.. No link button.. at the time the same battery is used.. I have a p3s.. on 1.7.9 with no + with any battery and a P3P with a + no matter the battery.. It was not like that on 1.9 (pro) that's why I was thinking that 1.8.8 with debug would clear up the plus.. 1.8.8 was a all in one update right?
 
Joined
Jan 21, 2017
Messages
1,204
Reaction score
238
Age
55
There's a thread about downgrade where sometimes he saw the +, sometimes he didn't. We figured it out that some of his batteries had newer FW.
You can read the log in misc folder to see what the FW version is for each module. It is a bit confusing since each module has a different current version number for a particular FW update package.
There may be a module that didn't downgrade and so is newer FW than package baseline but much of the time it is the battery.

Sent from my HTC 10 using PhantomPilots mobile app
 
  • Like
Reactions: KennethMcNutt
Joined
Jan 10, 2016
Messages
2,513
Reaction score
815
Location
Surrey, England
The problem with this is they are very directional. If you aren't pointed directly at the bird, you get worse signal than if you didn't have them. I tested this and can be 3 feet away and if I turn to the side 45 degrees, I get "no signal"

Not a problem if you have good line of sight, and keep turning your rc accordingly

P3A with Nvidia Shield K1 tablet

And therein lies your problem. You will get that at 3ft, but far less so at 30, less again at 300 and practically no difference at 3,000ft. It's a radio signal not a laser, so the signal does still spread.
 
Joined
Jun 3, 2016
Messages
385
Reaction score
127
Age
40
I'm seriously considering downgrading from 1.8.8 to 1.7.6 because my signal is so unreliable (even up close). Funny thing - I'm reading 1.8.8+ now though I've never tried downgrading. So would someone mind sharing how to downgrade multiple batteries to the same FW? And which FW would that be for batteries if we're aiming for 1.7.6 for the drone? I believe the RC needs to be at 1.5.8 - but I could be wrong!

Thanks all!
 
Joined
Sep 20, 2014
Messages
292
Reaction score
132
I'm seriously considering downgrading from 1.8.8 to 1.7.6 because my signal is so unreliable (even up close). Funny thing - I'm reading 1.8.8+ now though I've never tried downgrading. So would someone mind sharing how to downgrade multiple batteries to the same FW? And which FW would that be for batteries if we're aiming for 1.7.6 for the drone? I believe the RC needs to be at 1.5.8 - but I could be wrong!

Thanks all!

The question is do you really have to downgrade the batteries if you downgrade the firmware? I did when I downgraded with the debug file but I downgraded from ver 1.9...But YOU can downgrade one FW version without using the debug file....(If you don't know what the debug file is do a search) If you really felt it necessary you can install the FW1.7.6 bin with the debug file on the sd card with each battery...or it may not need the debug file to do it. you can try both ways..I really don't know if its necessary to downgrade the batteries... The RC does need to be on 1.5.8...
 
Joined
Sep 20, 2014
Messages
292
Reaction score
132
or i can send you the bin file the targets only the battery for FW version 1.7.6...I used it with each of my batteries and it worked...But if you brick your drone its not my fault ;)
 
Joined
Jun 3, 2016
Messages
385
Reaction score
127
Age
40
Chazz, this is incredibly helpful - thank you very much!!

Found this on the DJI forums...is this the best way for me to downgrade to 1.7.6?

Format the SD card (FAT)
Copy the FW 1.7
Insert the card and power the drone. No RC connected.
Leave for awhile.....nothing happens and it is ok.
Power off
Then before power on again, press and hold the rc link on your aircraft
Power on pressing the rc link, and hold until first four beeps. Release the rc link
You will see the the downgrade will start and all the beeps as usual.

Might as well try just the AC and RC first - surely if I needed to downgrade the batteries the app would tell me! I assume I'm good to stay on the current 3.1.4 DJI GO - I don't think I've seen anybody say otherwise. Thanks again!!
 
Joined
Jun 3, 2016
Messages
385
Reaction score
127
Age
40
Ha - well that would be great!! Why not - just get everything to 1.7.6 and leave it. Any idea what "improvements" came in 1.8, 1.9, 1.10? I know people prefer 1.7.6 because it's unlocked but the reason I want it is simply to have a stable signal. Thank you!
 
Joined
Jun 3, 2016
Messages
385
Reaction score
127
Age
40
Hmm, so I tried the method I listed just above and after turning the drone on the second time and holding the little button in, the small light just stayed green instead of alternating green and red. Pulled the SD card and the log said:

Result: Abort.
The current firmware does not support downgrade. Use a different version of firmware to downgrade the target version.

Any ideas why it won't let me do this going from 1.8.8 to 1.7.6? Thought it was supposed to allow one rollback easily...
 

New Threads

Members online

Forum statistics

Threads
140,337
Messages
1,446,585
Members
102,098
Latest member
P4Provert